IPB

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> проблема с обновлением PHPShop.CMS Free 40002 на PHPShop.CMS Free 5.1
kregor
сообщение 14.3.2017, 14:07
Сообщение #1


Новичок
*

Группа: Пользователи
Сообщений: 5
Регистрация: 2.7.2015
Пользователь №: 4472
Версия CMS Free: 40002
Создано сайтов: 1



Добрый день.
пытаюсь обновить свою версию PHPShop.CMS Free 40002 на PHPShop.CMS Free 5.1
после обновления сайт выдает ошибку:
"Нет соединения с базой
Ошибка: No database selected"

обновление выполняю по следующему алгоритму:
Обновление в ручном режиме
1.Создать копию текущей базы данных через меню База - Резервное копирование
2.Создать папку /old и перенести в нее все файлы из корневой директории с PHPShop (www, httpdocs, docs, public_html)
3.Загрузить в очищенную корневую директорию файлы из архива новой версии
4.Из старого конфигурационного файла /old/phpshop/inc/config.ini взять параметры подключения к базе данных (первые 5 строк) и вставить в новый конфигурационный файл /phpshop/inc/config.ini [connect]
host="localhost"; # имя хоста базы данных
user_db="user"; # имя пользователя
pass_db="mypas"; # пароль базы
dbase="mybase"; # имя базы
5.Запустить  Обновление базы данных, выбрать предыдущую версию (которая была перед обновлением), если ее там нет, то обновлять базу не нужно.
6.Удалить папку /install
7.Копировать папки /old/UserFiles со старыми изображениями в обновленный скрипт
8.По необходимости копировать старый шаблон /old/phpshop/templates/{имя-шаблона} "

что делаю не так?
Перейти в начало страницы
 
+Цитировать сообщение
Dennion
сообщение 14.3.2017, 15:03
Сообщение #2


Администратор
***

Группа: Главные администраторы
Сообщений: 5910
Регистрация: 20.8.2009
Из: Москва
Пользователь №: 1
Версия CMS Free: 3.3



Киньте мне в личку свой config.ini новый с паролями базы, проверю.
Перейти в начало страницы
 
+Цитировать сообщение
kregor
сообщение 15.3.2017, 12:56
Сообщение #3


Новичок
*

Группа: Пользователи
Сообщений: 5
Регистрация: 2.7.2015
Пользователь №: 4472
Версия CMS Free: 40002
Создано сайтов: 1



Цитата(Dennion @ 14.3.2017, 15:03) *
Киньте мне в личку свой config.ini новый с паролями базы, проверю.


Добрый день. Удалось проверить?
Перейти в начало страницы
 
+Цитировать сообщение
Dennion
сообщение 15.3.2017, 18:48
Сообщение #4


Администратор
***

Группа: Главные администраторы
Сообщений: 5910
Регистрация: 20.8.2009
Из: Москва
Пользователь №: 1
Версия CMS Free: 3.3



Ошибка в версии MySQL, нужно 5.5 и выше, так как коннектор вместо устаревшего mysql_ используется новый mysqli_.
Это сделано для работы в PHP 7, так как старый mysql_ отключен.
Перейти в начало страницы
 
+Цитировать сообщение
kregor
сообщение 16.3.2017, 9:36
Сообщение #5


Новичок
*

Группа: Пользователи
Сообщений: 5
Регистрация: 2.7.2015
Пользователь №: 4472
Версия CMS Free: 40002
Создано сайтов: 1



Цитата(Dennion @ 15.3.2017, 18:48) *
Ошибка в версии MySQL, нужно 5.5 и выше, так как коннектор вместо устаревшего mysql_ используется новый mysqli_.
Это сделано для работы в PHP 7, так как старый mysql_ отключен.


спасибо
Перейти в начало страницы
 
+Цитировать сообщение
kregor
сообщение 16.3.2017, 21:58
Сообщение #6


Новичок
*

Группа: Пользователи
Сообщений: 5
Регистрация: 2.7.2015
Пользователь №: 4472
Версия CMS Free: 40002
Создано сайтов: 1



Цитата(Dennion @ 15.3.2017, 18:48) *
Ошибка в версии MySQL, нужно 5.5 и выше, так как коннектор вместо устаревшего mysql_ используется новый mysqli_.
Это сделано для работы в PHP 7, так как старый mysql_ отключен.


пришлось поставить с нуля CMS FREE 5.1.
Возможно теперь взять базу из старой версии сайта и интегрировать в новую?
Перейти в начало страницы
 
+Цитировать сообщение
Dennion
сообщение 17.3.2017, 17:25
Сообщение #7


Администратор
***

Группа: Главные администраторы
Сообщений: 5910
Регистрация: 20.8.2009
Из: Москва
Пользователь №: 1
Версия CMS Free: 3.3



Цитата(kregor @ 16.3.2017, 21:58) *
пришлось поставить с нуля CMS FREE 5.1.
Возможно теперь взять базу из старой версии сайта и интегрировать в новую?


С нуля работает все?
Загрузить папку /install/ и пройти процедуру обновления БД для 4.1
Перейти в начало страницы
 
+Цитировать сообщение

Ответить в данную темуНачать новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



RSS Текстовая версия Сейчас: 18.9.2019, 4:45